#!/usr/bin/python3
# -*- coding: utf-8 -*-
# 　

import glob
import numpy as np
import matplotlib.pyplot as plt
import matplotlib.animation as animation
from PIL import Image

picfiles = sorted(glob.glob('ex5-8/*.png'))

res = list()
for f in picfiles:
    im = Image.open(f)
    a = 1.0 - np.array(im.convert('L')).reshape(28*28, )/255.0
    res.append(a)

print('res:', type(res), len(res), type(res[0]), res[0].shape)


fig = plt.figure(figsize=(2, 2))
images = []
for i in range(len(res)):
    plt.xticks([])
    plt.yticks([])
    image = plt.imshow(res[i].reshape((28, 28)), vmin=0, vmax=1,
                       cmap=plt.cm.gray_r, interpolation='bilinear')
    images.append([image])

ani = animation.ArtistAnimation(fig, images, interval=10, repeat=True)
# ani.save('DCGAN_morphing.gif',
# ani.save('test.gif', writer='pillow', fps=30)
ani.save('test.gif', writer='pillow')

plt.clf()
plt.close()
